## gs-app-collation gs-app-collation |

## Functions

GsAppList * | gs_app_get_related ()
GsAppList * | gs_app_dup_addons ()
GsAppList * | gs_app_get_history ()

## Description

## Functions

### gs_app_get_related ()

    GsAppList *
    gs_app_get_related (GsApp *app);

Gets any related applications.

#### Parameters

app | a GsApp |

#### Returns

a list of applications.

[transfer none]

Since: 3.22

### gs_app_dup_addons ()

    GsAppList *
    gs_app_dup_addons (GsApp *app);

Gets the list of addons for the application.

#### Parameters

app | a GsApp |

#### Returns

a list of addons, or `NULL` if there are none.

[transfer full][nullable]

Since: 43

### gs_app_get_history ()

    GsAppList *
    gs_app_get_history (GsApp *app);

Gets the history of this application.

#### Parameters

app | a GsApp |

#### Returns

a list.

[transfer none]

Since: 3.22